Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception Class Reference

Exception value object visitor. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception:

## Public Member Functions
| __construct ($debug=false, TranslatorInterface $translator=null)
| Construct from debug flag. More...
| visit (Visitor $visitor, Generator $generator, $data)
| Visit struct returned by controllers. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| setRouter (RouterInterface $router)
| setTemplateRouter (RouterInterface $templateRouter)
| setRequestParser (RequestParser $requestParser)

## Protected Member Functions
| getStatus ()
| Returns HTTP status code. More...
Protected Member Functions inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| serializeBool (Generator $generator, $boolValue)
| Returns a string representation for the given $boolValue. More...
| visitNamesList (Generator $generator, array $names)
| Visits the given list of $names. More...
| visitDescriptionsList (Generator $generator, array $descriptions)
| Visits the given list of $descriptions. More...
| visitTranslatedList (Generator $generator, array $translatedElements, $listName)
| Visits a list of translated elements. More...
| visitLimitation (Generator $generator, Limitation $limitation)
| Visits a limitation. More...
| serializeSortField ($sortField)
| Serializes the given $sortField to a string representation. More...
| serializeSortOrder ($sortOrder)
| Serializes the given $sortOrder to a string representation. More...

## Protected Attributes
| $debug = false
| $httpStatusCodes
| $translator
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| $requestParser
| $router
| $templateRouter

## Detailed Description

Exception value object visitor.

Definition at line 18 of file Publish/Core/REST/Server/Output/ValueObjectVisitor/Exception.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception::__construct | ( |  | $debug = `false`,
|  | TranslatorInterface | $translator = `null`
| ) |  |

Construct from debug flag.

Parameters

  bool | $debug |
  TranslatorInterface | $translator |

Definition at line 79 of file Publish/Core/REST/Server/Output/ValueObjectVisitor/Exception.php.

References eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception\$debug, and eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception\$translator.

## Member Function Documentation

## ◆ getStatus()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception::getStatus | ( |  | ) |
| protected

Returns HTTP status code.

Returns
  int

Reimplemented in eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\UnauthorizedException, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\NotImplementedException, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\NotFoundException, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\InvalidArgumentException, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ForbiddenException, eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\BadStateException, and eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\BadRequestException.

Definition at line 90 of file Publish/Core/REST/Server/Output/ValueObjectVisitor/Exception.php.

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception\visit().

## ◆ visit()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception::visit | ( | Visitor | $visitor,
|  | Generator | $generator,
|  |  | $data
| ) |  |

Visit struct returned by controllers.

Parameters

  \eZ\Publish\Core\REST\Common\Output\Visitor | $visitor |
  \eZ\Publish\Core\REST\Common\Output\Generator | $generator |
  \Exception | $data |

@Ignore

@Desc("An error has occurred. Please try again later or contact your Administrator.")

Reimplemented from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor.

Reimplemented in eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentFieldValidationException.

Definition at line 102 of file Publish/Core/REST/Server/Output/ValueObjectVisitor/Exception.php.

References eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception\getStatus(), eZ\Publish\Core\REST\Common\Output\Visitor\setHeader(), eZ\Publish\Core\REST\Common\Output\Visitor\setStatus(), and eZ\Publish\Core\REST\Common\Output\Visitor\visitValueObject().

## Member Data Documentation

## ◆ $debug

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception::$debug = false
| protected

Definition at line 25 of file Publish/Core/REST/Server/Output/ValueObjectVisitor/Exception.php.

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception\__construct().

## ◆ $httpStatusCodes

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception::$httpStatusCodes
| protected

Definition at line 32 of file Publish/Core/REST/Server/Output/ValueObjectVisitor/Exception.php.

## ◆ $translator

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception::$translator
| protected

Definition at line 71 of file Publish/Core/REST/Server/Output/ValueObjectVisitor/Exception.php.

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Exception\__construct().

The documentation for this class was generated from the following file:

- Publish/Core/REST/Server/Output/ValueObjectVisitor/Exception.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.